﻿using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Parsing;
using Syncfusion.Windows.Forms.PdfViewer;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Drawing.Imaging;
using System.Drawing.Printing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApplication3
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            PrintDocument printDocument = new PrintDocument();
            printDocument.PrintPage += printDocument_PrintPage;
            printDocument.Print();
           
        }

        void printDocument_PrintPage(object sender, PrintPageEventArgs e)
        {
            System.Drawing.Font font = new System.Drawing.Font("Arial", 12, FontStyle.Regular);
            Brush brush = Brushes.Black;


            var bitmap = new Bitmap((int)e.PageBounds.Width,
                           (int)e.PageBounds.Height);

            Image img = new Bitmap("../../Data/1-Pictures-icon.png");

            using (var g = Graphics.FromImage(bitmap))
            {
                g.DrawString("Hello World", font, brush, new PointF(200, 50));
                g.DrawImage(img, new Point(300, 100));

            }
            e.Graphics.DrawImage(bitmap, new Point(0, 0));
            bitmap.Save("../../Data/image.wmf", ImageFormat.Wmf);

            
        }

        private void button1_Click(object sender, EventArgs e)
        {
            string[] files = System.IO.Directory.GetFiles("../../Data", "*.wmf");

            PdfDocument doc = new PdfDocument();
            for (int i = 0; i < files.Length; i++)
            {
                PdfPage page = doc.Pages.Add();
                PdfImage img = PdfImage.FromFile(files[0]);
                page.Graphics.DrawImage(img, new PointF(0, 0));
            }
            doc.Save("sample.pdf");
            doc.Close(true);
            MessageBox.Show("Document generated successfully");

        }

        private void printDocument1_PrintPage(object sender, PrintPageEventArgs e)
        {

        }
    }
}
